David Ye
Talk is cheap. Show me the code.
CocoJelly

解决Ubuntu中apt的更新文件配置多次导致无法更新的问题

问题细节

在终端中输入apt update,错误提示类似W: 目标 DEP-11 (partner/dep11/Components-amd64.yml) 在 /etc/apt/sources.list:44 和 /etc/apt/sources.list:87中被配置了多次且无法更新。

解决方法

一种方案就是手动在sources.list里注释掉提示错误的那几行。

但如果错误有很多条,可以使用脚本来解决,这里有一个在 GitHub 上开源的脚本:

按照readme教程操作即可。

赞赏
本文链接:https://ydysd.top/dev/__trashed.html
本文(除特殊标明的作品外)采用 知识共享署名-非商业性使用-相同方式共享 4.0 国际许可协议 进行许可。
知识共享许可协议
# #
首页      开发      解决Ubuntu中apt的更新文件配置多次导致无法更新的问题

发表评论

textsms
account_circle
email

CocoJelly

解决Ubuntu中apt的更新文件配置多次导致无法更新的问题
问题细节 在终端中输入apt update,错误提示类似W: 目标 DEP-11 (partner/dep11/Components-amd64.yml) 在 /etc/apt/sources.list:44 和 /etc/apt/sources.list:87中被配置了多次且无…
扫描二维码继续阅读
2021-05-22